from distutils.core import setup
import re
import futureutils

AUTHOR_PATTERN = re.compile(r'^\s*(?P<author>[^<>]+)\s*'
                            r'<\s*(?P<email>[^>]+)\s*>\s*$')


setup(name='futureutils',
      version=futureutils.__version__,
      description='Introduces futures and promises into iterators.',
      long_description='''Several trivial wrappers of iterable object that \
makes iterators running in parallel easily and simply. Why its name is \
futureutils is that it introduces the concept of futures and promises into \
Python iterators and generators.''',
      author=AUTHOR_PATTERN.match(futureutils.__author__).group('author'),
      author_email=AUTHOR_PATTERN.match(futureutils.__author__).group('email'),
      url='http://dahlia.bitbucket.org/futureutils/',
      py_modules=['futureutils'],
      license='MIT License',
      classifiers=['Development Status :: 4 - Beta',
                   'Intended Audience :: Developers',
                   'License :: OSI Approved :: MIT License',
                   'Operating System :: OS Independent',
                   'Programming Language :: Python :: 2.5',
                   'Programming Language :: Python :: 2.6',
                   'Programming Language :: Python :: 2.7',
                   'Topic :: Software Development :: Libraries '
                   ':: Python Modules'])

